summaryrefslogtreecommitdiff
path: root/nfs/nfs-autorun.sh
diff options
context:
space:
mode:
Diffstat (limited to 'nfs/nfs-autorun.sh')
-rwxr-xr-xnfs/nfs-autorun.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/nfs/nfs-autorun.sh b/nfs/nfs-autorun.sh
index bb3c602..04cdf0e 100755
--- a/nfs/nfs-autorun.sh
+++ b/nfs/nfs-autorun.sh
@@ -11,7 +11,9 @@ source $scriptdir/funcs.sh # Load some nfs-autorun.sh specific helper functions
# Check all prerequisites and exit if it fail
hostname_test || exit 1
-firstdisk_test || exit 2
+firstdisk=$(firstdisk)
+firstdisk_test "$firstdisk" || exit 2
+firstdiskp=$(firstdiskp "$firstdisk")
# Run the main action script
if nfswrite_test